## org.codehaus.groovy.grails.web.container
Class JettyServerFactory

    java.lang.Object
      org.codehaus.groovy.grails.web.container.JettyServerFactory

All Implemented Interfaces:
  EmbeddableServerFactory

    public class JettyServerFactory

extends Object
implements EmbeddableServerFactory

A factory that creates Jetty servers

Since:
  1.1

  Created: Jan 7, 2009
Author:
  Graeme Rocher

Constructor Summary
`JettyServerFactory()`

Method Summary
`EmbeddableServer` `createForWAR(String warPath, String contextPath)` Creates a EmbeddableServer instance for the given WAR file and context path
`EmbeddableServer` `createInline(String basedir, String webXml, String contextPath, ClassLoader classLoader)` Creates an inline server for the the given base directory, web.xml file and class loader

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyServerFactory

    public JettyServerFactory()

Method Detail

### createInline

    public EmbeddableServer createInline(String basedir,
                                         String webXml,
                                         String contextPath,
                                         ClassLoader classLoader)

  Description copied from interface: `EmbeddableServerFactory`
  Creates an inline server for the the given base directory, web.xml file and class loader

  Specified by:
    `createInline` in interface `EmbeddableServerFactory`
  Parameters:
    `basedir` - The base directory
    `webXml` - The web.xml location
    `contextPath` - The context path of the application
    `classLoader` - The class loader to use
  Returns:
    The EmbeddableServer instance

### createForWAR

    public EmbeddableServer createForWAR(String warPath,
                                         String contextPath)

  Description copied from interface: `EmbeddableServerFactory`
  Creates a EmbeddableServer instance for the given WAR file and context path

  Specified by:
    `createForWAR` in interface `EmbeddableServerFactory`
  Parameters:
    `warPath` - The path to the WAR
    `contextPath` - The context path
  Returns:
    The EmbeddableServer instance

Copyright (c) 2005-2009 The Grails project